Index: trunk/HeuristicLab.Problems.QuadraticAssignment.Algorithms/3.3/HeuristicLab.Problems.QuadraticAssignment.Algorithms-3.3.csproj
===================================================================
--- trunk/HeuristicLab.Problems.QuadraticAssignment.Algorithms/3.3/HeuristicLab.Problems.QuadraticAssignment.Algorithms-3.3.csproj	(revision 16430)
+++ trunk/HeuristicLab.Problems.QuadraticAssignment.Algorithms/3.3/HeuristicLab.Problems.QuadraticAssignment.Algorithms-3.3.csproj	(revision 16565)
@@ -11,5 +11,5 @@
     <RootNamespace>HeuristicLab.Problems.QuadraticAssignment.Algorithms</RootNamespace>
     <AssemblyName>HeuristicLab.Problems.QuadraticAssignment.Algorithms-3.3</AssemblyName>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
     <TargetFrameworkProfile />
@@ -109,12 +109,22 @@
   </PropertyGroup>
   <ItemGroup>
+    <Reference Include="Google.Protobuf, Version=3.6.1.0, Culture=neutral, PublicKeyToken=a7d26565bac4d604, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\Google.Protobuf.3.6.1\lib\net45\Google.Protobuf.dll</HintPath>
+    </Reference>
+    <Reference Include="HEAL.Attic, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\HEAL.Attic.1.0.0-pre01\lib\netstandard2.0\HEAL.Attic.dll</HintPath>
+    </Reference>
     <Reference Include="System" />
     <Reference Include="System.Core" />
     <Reference Include="System.Data" />
     <Reference Include="System.Drawing" />
+    <Reference Include="System.Drawing.Common, Version=4.0.0.1, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\System.Drawing.Common.4.5.1\lib\net461\System.Drawing.Common.dll</HintPath>
+    </Reference>
   </ItemGroup>
   <ItemGroup>
     <Compile Include="RobustTabooSeachOperator.cs" />
     <Compile Include="RobustTabooSearch.cs" />
+    <None Include="packages.config" />
     <None Include="Plugin.cs.frame" />
     <Compile Include="Plugin.cs" />
Index: trunk/HeuristicLab.Problems.QuadraticAssignment.Algorithms/3.3/Plugin.cs.frame
===================================================================
--- trunk/HeuristicLab.Problems.QuadraticAssignment.Algorithms/3.3/Plugin.cs.frame	(revision 16430)
+++ trunk/HeuristicLab.Problems.QuadraticAssignment.Algorithms/3.3/Plugin.cs.frame	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Problems.QuadraticAssignment.Algorithms/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- trunk/HeuristicLab.Problems.QuadraticAssignment.Algorithms/3.3/Properties/AssemblyInfo.cs.frame	(revision 16430)
+++ trunk/HeuristicLab.Problems.QuadraticAssignment.Algorithms/3.3/Properties/AssemblyInfo.cs.frame	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Problems.QuadraticAssignment.Algorithms/3.3/RobustTabooSeachOperator.cs
===================================================================
--- trunk/HeuristicLab.Problems.QuadraticAssignment.Algorithms/3.3/RobustTabooSeachOperator.cs	(revision 16430)
+++ trunk/HeuristicLab.Problems.QuadraticAssignment.Algorithms/3.3/RobustTabooSeachOperator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -28,9 +28,9 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.QuadraticAssignment.Algorithms {
   [Item("RobustTabooSearchOperator", "Performs an iteration of the robust taboo search algorithm as descrbied in Taillard 1991.")]
-  [StorableClass]
+  [StorableType("D4916F45-70B0-4D02-8377-6E82BA079167")]
   public sealed class RobustTabooSeachOperator : SingleSuccessorOperator, IIterationBasedOperator, IStochasticOperator, ISingleObjectiveOperator {
 
@@ -103,5 +103,5 @@
 
     [StorableConstructor]
-    private RobustTabooSeachOperator(bool deserializing) : base(deserializing) { }
+    private RobustTabooSeachOperator(StorableConstructorFlag _) : base(_) { }
     private RobustTabooSeachOperator(RobustTabooSeachOperator original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Problems.QuadraticAssignment.Algorithms/3.3/RobustTabooSearch.cs
===================================================================
--- trunk/HeuristicLab.Problems.QuadraticAssignment.Algorithms/3.3/RobustTabooSearch.cs	(revision 16430)
+++ trunk/HeuristicLab.Problems.QuadraticAssignment.Algorithms/3.3/RobustTabooSearch.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -31,5 +31,5 @@
 using HeuristicLab.Optimization.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.Random;
 
@@ -37,5 +37,5 @@
   [Item("Robust Taboo Search (RTS)", "The algorithm is described in Taillard, E. 1991. Robust Taboo Search for the Quadratic Assignment Problem. Parallel Computing 17, pp. 443-455.")]
   [Creatable(CreatableAttribute.Categories.SingleSolutionAlgorithms, Priority = 130)]
-  [StorableClass]
+  [StorableType("8D1BB2DF-2093-46EB-AB9F-C5ABC1D749B6")]
   public sealed class RobustTabooSearch : HeuristicOptimizationEngineAlgorithm, IStorableContent {
     public string Filename { get; set; }
@@ -131,5 +131,5 @@
 
     [StorableConstructor]
-    private RobustTabooSearch(bool deserializing) : base(deserializing) { }
+    private RobustTabooSearch(StorableConstructorFlag _) : base(_) { }
     private RobustTabooSearch(RobustTabooSearch original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Problems.QuadraticAssignment.Algorithms/3.3/packages.config
===================================================================
--- trunk/HeuristicLab.Problems.QuadraticAssignment.Algorithms/3.3/packages.config	(revision 16565)
+++ trunk/HeuristicLab.Problems.QuadraticAssignment.Algorithms/3.3/packages.config	(revision 16565)
@@ -0,0 +1,6 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<packages>
+  <package id="Google.Protobuf" version="3.6.1" targetFramework="net461" />
+  <package id="HEAL.Attic" version="1.0.0-pre01" targetFramework="net461" />
+  <package id="System.Drawing.Common" version="4.5.1" targetFramework="net461" />
+</packages>
